// aplMgrPrgsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "aplMgrPrgsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CaplMgrPrgsDlg dialog


CaplMgrPrgsDlg::CaplMgrPrgsDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CaplMgrPrgsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CaplMgrPrgsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_ext_sender=0;
}


void CaplMgrPrgsDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CaplMgrPrgsDlg)
	DDX_Control(pDX, IDC_PROGRESS1, m_prgs);
	DDX_Control(pDX, IDC_TEXT, m_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CaplMgrPrgsDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CaplMgrPrgsDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CaplMgrPrgsDlg message handlers
void CaplMgrPrgsDlg::Repaint()
{
	MSG msg;
	while (::PeekMessage(&msg, NULL, WM_PAINT, WM_PAINT, PM_REMOVE|PM_NOYIELD))
		DispatchMessage(&msg);
	while (::PeekMessage(&msg, NULL, WM_SHOWWINDOW, WM_SHOWWINDOW, PM_REMOVE|PM_NOYIELD))
		DispatchMessage(&msg);
}

